cURL
curl --request PUT \
--url https://us.api.flexprice.io/v1/taxes/associations/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"auto_apply": true,
"metadata": {},
"priority": 123
}
'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.tax_associations.update_tax_association(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.taxAssociations.updateTaxAssociation("<id>", {});
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/types"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.TaxAssociations.UpdateTaxAssociation(ctx, "<id>", types.TaxAssociationUpdateRequest{})
if err != nil {
log.Fatal(err)
}
if res.TaxAssociationResponse != nil {
// handle response
}
}{
"auto_apply": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "customer",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"priority": 123,
"start_date": "2023-11-07T05:31:56Z",
"status": "published",
"tax_behavior": "inclusive",
"tax_rate": {
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"percentage_value": "<string>",
"scope": "INTERNAL",
"status": "published",
"tax_rate_status": "ACTIVE",
"tax_rate_type": "percentage",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"tax_rate_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Tax Associations
Update tax association
Use when changing a tax association (e.g. switch rate or entity). Request body contains the fields to update.
PUT
/
taxes
/
associations
/
{id}
cURL
curl --request PUT \
--url https://us.api.flexprice.io/v1/taxes/associations/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"auto_apply": true,
"metadata": {},
"priority": 123
}
'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.tax_associations.update_tax_association(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.taxAssociations.updateTaxAssociation("<id>", {});
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/types"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.TaxAssociations.UpdateTaxAssociation(ctx, "<id>", types.TaxAssociationUpdateRequest{})
if err != nil {
log.Fatal(err)
}
if res.TaxAssociationResponse != nil {
// handle response
}
}{
"auto_apply": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "customer",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"priority": 123,
"start_date": "2023-11-07T05:31:56Z",
"status": "published",
"tax_behavior": "inclusive",
"tax_rate": {
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"percentage_value": "<string>",
"scope": "INTERNAL",
"status": "published",
"tax_rate_status": "ACTIVE",
"tax_rate_type": "percentage",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"tax_rate_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Tax Config ID
Body
application/json
Tax Config Request
Response
OK
Whether this tax should be automatically applied
Currency
EndDate is the optional date until which this association is active
ID of the entity this tax rate applies to
Available options:
customer, subscription, invoice, tenant, credit_note EnvironmentID is the ID of the environment this tax rate config belongs to
ID of the ent.
Metadata holds the value of the "metadata" field.
Show child attributes
Show child attributes
Priority for tax resolution (lower number = higher priority)
StartDate is the date from which this association is active
Available options:
published, deleted, archived Available options:
inclusive, exclusive Show child attributes
Show child attributes
Reference to the TaxRate entity

